org.apache.tinkerpop.gremlin.structure.util

## Class Comparators

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.Comparators

-     public final class Comparators
      extends Object

  A collection of commonly used `Comparator` instances.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<Edge>` | `EDGE_COMPARATOR` Sorts `Edge` objects by the `toString()` value of `Element.id()` using `String.CASE_INSENSITIVE_ORDER`.
    `static Comparator<Element>` | `ELEMENT_COMPARATOR` Sorts `Element` objects by the `toString()` value of `Element.id()` using `String.CASE_INSENSITIVE_ORDER`.
    `static Comparator<Property>` | `PROPERTY_COMPARATOR` Sorts `Property` objects by the value of `Property.key()` using `String.CASE_INSENSITIVE_ORDER`.
    `static Comparator<Vertex>` | `VERTEX_COMPARATOR` Sorts `Vertex` objects by the `toString()` value of `Element.id()` using `String.CASE_INSENSITIVE_ORDER`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_COMPARATOR

          public static final Comparator<Element> ELEMENT_COMPARATOR

      Sorts `Element` objects by the `toString()` value of `Element.id()` using `String.CASE_INSENSITIVE_ORDER`.

    - #### VERTEX_COMPARATOR

          public static final Comparator<Vertex> VERTEX_COMPARATOR

      Sorts `Vertex` objects by the `toString()` value of `Element.id()` using `String.CASE_INSENSITIVE_ORDER`.

    - #### EDGE_COMPARATOR

          public static final Comparator<Edge> EDGE_COMPARATOR

      Sorts `Edge` objects by the `toString()` value of `Element.id()` using `String.CASE_INSENSITIVE_ORDER`.

    - #### PROPERTY_COMPARATOR

          public static final Comparator<Property> PROPERTY_COMPARATOR

      Sorts `Property` objects by the value of `Property.key()` using `String.CASE_INSENSITIVE_ORDER`.

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.